
.olControlLoadingPanel {
    background-image:url("icons/loading.gif");
    margin-left: 40%;
    margin-top: 25%;
    position: relative;
    width: 195px;
    height: 11px;
    background-position:center;
    background-repeat:no-repeat;
    display: none;
}

.olImageLoadError {
    background-color: transparent !important;
}

/**
 * Layer switcher
 */
.CWN2ControlLayerSwitcher2  {
    position: absolute;
    top: 8px;
    right: 8px;
    font-family: verdana,arial,helvetica;
    font-weight: bold;
    margin-top: 3px;
    margin-left: 3px;
    margin-bottom: 3px;
    font-size: smaller;
    color: white;
    background: #777777; /* fallback for IE - IE6 requires background shorthand*/
/*  Se imposto le seguenti propriet� su IE8 non si vede niente
    background: rgba(0, 0, 0, 0.3);
    -ms-filter:"progid:DXImageTransform.Microsoft.Alpha(Opacity=60)";
    filter: alpha(opacity=60);
*/
}

.CWN2ControlLayerSwitcher2  .layersDiv {
    padding-top: 5px;
    padding-left: 10px;
    padding-bottom: 5px;
    padding-right: 10px;
    background: #777777; /* fallback for IE - IE6 requires background shorthand*/
/*  Se imposto le seguenti propriet� su IE8 non si vede niente
    background: rgba(0, 0, 0, 0.3);
    filter: alpha(opacity=60);
*/
}

.CWN2ControlLayerSwitcher2  .layersDiv .baseLbl,
.CWN2ControlLayerSwitcher2  .layersDiv .dataLbl {
    margin-top: 3px;
    margin-left: 3px;
    margin-bottom: 3px;
}

.CWN2ControlLayerSwitcher2  .layersDiv .baseLayersDiv,
.CWN2ControlLayerSwitcher2  .layersDiv .dataLayersDiv {
    padding-left: 10px;
}

.CWN2ControlLayerSwitcher2  .maximizeDiv {
    background-image:url("icons/layer-switcher-maximize.png") !important;
    background: #777777;
    width: 22px;
    height: 22px;
    top: 5px;
    right: 8px;
    cursor: pointer;

}

.CWN2ControlLayerSwitcher2  .minimizeDiv {
    background-image:url("icons/layer-switcher-minimize.png") !important;
    background: #777777;
    width: 22px;
    height: 22px;
    top: 5px;
    right: 8px;
    cursor: pointer;
}

.CWN2ControlLayerSwitcher2  .iconSpan {
    padding-left: 2px;
    padding-right: 4px;
}

.CWN2ControlLayerSwitcher2  .labelSpan {
    float:none !important;
    line-height:25px !important;
}

/*
Controllo Zoom
*/
#customZoom {
    position: relative;
    top: 8px;
    left: 8px;
}
#customZoom a {
    display: block;
    margin: 1px;
    padding: 0;
    color: white;
    font-size: 18px;
    font-family: verdana,arial,helvetica;
    font-weight: bold;
    text-decoration: none;
    text-align: center;
    height: 22px;
    width:22px;
    line-height: 19px;
    text-shadow: 0 0 3px rgba(0,0,0,0.8);
    background: #777777;

}
#customZoom a:hover {
    background: #444444;

}

#customZoomOut {
    top: 25px;
}


/*!
 *
 *  DEFINIZIONE STILE PER POPUP DI DEFAULT
 *
 */


div.defaultPopUpTitle {
    font: italic bold 15px arial;
    text-decoration: underline;
    color: #4F81BD
}

div.defaultPopUpLabel {
    font: 15px arial;
    color: black
}

div.defaultPopUpLink {
    font: 15px arial;
    color: black
}

/*!
 * 
 *  DEFINIZIONE STILE BOTTONI
 *  
 */

.help {
  background-image:url("icons/help.png") !important;
  height:20px !important;
  width:20px !important;
}
.zoomin {
  background-image:url("icons/magnifier_zoom_in.png") !important;
  height:20px !important;
  width:20px !important;
}
.zoomout {
  background-image:url("icons/magnifier_zoom_out.png") !important;
  height:20px !important;
  width:20px !important;
}
.fit {
  background-image:url("icons/fit_all.png") !important;
  height:20px !important;
  width:20px !important;
}
.zoomToInitialExtent {
  background-image:url("icons/zoomToInitialExtent.png") !important;
  height:20px !important;
  width:20px !important;
}
.pan {
  background-image:url("icons/pan.png") !important;
  height:20px !important;
  width:20px !important;
}
.zoomprevious {
  background-image:url("icons/zoom_previous.png") !important;
  height:20px !important;
  width:20px !important;
}
.zoomnext {
  background-image:url("icons/zoom_next.png") !important;
  height:20px !important;
  width:20px !important;
}
.measureline {
  background-image:url("icons/ruler.png") !important;
  height:20px !important;
  width:20px !important;
}
.measurearea {
  background-image:url("icons/ruler_square.png") !important;
  height:20px !important;
  width:20px !important;
}
.loadlayers {
  background-image:url("icons/load_layers.png") !important;
  height:20px !important;
  width:20px !important;
}
.removelayers {
  background-image:url("icons/remove_layers.png") !important;
  height:20px !important;
  width:20px !important;
}
.transparency {
  background-image:url("icons/transparency.png") !important;
  height:20px !important;
  width:20px !important;
}
.find {
  background-image:url("icons/find.png") !important;
  height:20px !important;
  width:20px !important;
}
.routeplanner {
  background-image:url("icons/routeplanner.png") !important;
  height:20px !important;
  width:20px !important;
}
.routeplanner-swap {
  background-image:url("icons/routeplanner-swap.png") !important;
  height:16px !important;
  width:16px !important;
}
.routeplanner-map {
  background-image:url("icons/routeplanner-map.png") !important;
  height:16px !important;
  width:16px !important;
}
.infowms {
  background-image:url("icons/information.png") !important;
  height:20px !important;
  width:20px !important;
}
.reatiTematismi {
  background-image:url("icons/vector_add.png") !important;
  height:20px !important;
  width:20px !important;
}
.drawPoint {
  background-image:url("icons/drawPoint.png") !important;
  height:20px !important;
  width:20px !important;
}
.drawLine {
  background-image:url("icons/drawLine.png") !important;
  height:20px !important;
  width:20px !important;
}
.drawPolygon {
  background-image:url("icons/drawPolygon.png") !important;
  height:20px !important;
  width:20px !important;
}
.modifyFeature {
  background-image:url("icons/modifyFeature.png") !important;
  height:20px !important;
  width:20px !important;
}
.dragFeature {
  background-image:url("icons/dragFeature.png") !important;
  height:20px !important;
  width:20px !important;
}
.deleteFeature {
  background-image:url("icons/deleteFeature.png") !important;
  height:20px !important;
  width:20px !important;
}
.legend {
  background-image:url("icons/legend.png") !important;
  height:20px !important;
  width:20px !important;
}
.select {
  background-image:url("icons/select.png") !important;
  height:20px !important;
  width:20px !important;
}

/**
 * Bing Maps
 */
.olBingAttribution {
    color: #DDD;
}
.olBingAttribution.road {
    color: #333;
}
.olControlAttribution {
    bottom: 5px;
}

/**
 * Table disabilito border per ExtJS
 */

tr, td
{
	border:none !important;
}